Maneira fácil de instalar driver de vídeo no Linux (ATI/NVidia)

Publicado por Leonardo em 07/06/2010

[ Hits: 35.100 ]

 


Maneira fácil de instalar driver de vídeo no Linux (ATI/NVidia)



Esses dias passei horas pesquisando como instalar o driver da minha placa, pois não estava achando um compatível. No meio dessa pesquisa achei esse procedimento, mas antes é necessário copiar o processo, pois você irá parar o modo gráfico por alguns instantes, a fim de evitar conflitos no momento da instalação.

Então aí vai:

1. Ctrl+Alt+F1 => modo texto

2. sudo apt-get update => atualizar os pacotes

3. sudo su => pegar a permissão de root

4. /etc/init.d/gdm stop => parei o modo gráfico para não "dar pau"

5. apt-get install envyng-core => esse é um programinha que mostra o "melhor" driver (ou o que provavelmente vai ser compatível com seu hardware)

6. envyng -t => executando o programinha

A partir desse ponto ele vai examinar o seu hardware para verificar a sua placa e kernel do seu SO para achar um driver compatível.

Aí é só segui as indicações do programa, ele te dá a opção de instalação/desinstalação do driver, tanto ATI quanto NVidia.

Fica aí a dica.

Falou galera!!!

Outras dicas deste autor
Nenhuma dica encontrada.
Leitura recomendada

Configurando modo de economia de energia e desabilitando Intel Turbo Boost

Configurando / utilizando o scanner HP-2400 no Linux

Instalando webcam no OpenSuSE 10.2 em menos de 10 segundos

Removendo a senha da BIOS via Linux

Modens Nokia CS-10, CS-15 e CS-17 disponíveis para conexão no Ubuntu 12.04/12.10

  

Comentários
[1] Comentário enviado por /bin/laden em 07/06/2010 - 05:03h

Só uma correção:

Nem todas as distros Linux utilizam o apt como gerenciador de pacotes, logo o titulo de sua dica:

"Maneira fácil de instalar driver de vídeo no Linux (ATI/NVidia)"

está incoerente!

Mais atenção da próxima vez (o mesmo para os moderadores também!).

[2] Comentário enviado por pardalrathsan em 07/06/2010 - 09:13h

Grato pela correção, é que sou novo na utilização de Linux e só tive contato com o ubuntu.

[3] Comentário enviado por mcnd2 em 07/06/2010 - 19:55h

O "/bin/laden" tem razão.

Os moderadores tem que ter mais atenção nisso.

Mais está aí mais uma dica.

[4] Comentário enviado por R1c0 em 07/06/2010 - 22:34h

Primeiramente, muito boa sua dica... ajudará muitos...
Mas fica um comentário meu para todos os MEMBROS
O cara errou? blz, ficou aí um toque nele para ver que ele errou e que ele certamente adorou saber que errou e não errará mais, mas isso não tem nada a ver com os moderadores.
Acho que cabe a nós mesmos ensinar o certo e o errado e ELOGIAR por ele ter postado algo de interesse no site. Não vamos assustar as pessoas porque nos expressamos errôneamente.

[5] Comentário enviado por alexandrecaroli em 26/07/2010 - 14:10h

gostaria de saber por que toda vez que eu coloco apt-get update, a resposta é essa:

W: Falhou ao buscar cdrom://Ubuntu 10.04 LTS _Lucid Lynx_ - Release i386 (20100429)/dists/lucid/main/binary-i386/Packages.gz Por favor, use o apt-cdrom para fazer com que este CD-ROM seja reconhecido pelo APT. O apt-get update não pode ser usado para adicionar novos CD-ROMs

W: Falhou ao buscar cdrom://Ubuntu 10.04 LTS _Lucid Lynx_ - Release i386 (20100429)/dists/lucid/restricted/binary-i386/Packages.gz Por favor, use o apt-cdrom para fazer com que este CD-ROM seja reconhecido pelo APT. O apt-get update não pode ser usado para adicionar novos CD-ROMs

E: Alguns arquivos de índice falharam para baixar, eles foram ignorados ou os antigos foram usados no lugar.

e quando coloco apt-get envyng-core, ele não acha o pacote:
E: Impossível achar pacote envyng-core

[6] Comentário enviado por dennylawrence em 13/06/2013 - 18:07h


[5] Comentário enviado por alexandrecaroli em 26/07/2010 - 14:10h:

gostaria de saber por que toda vez que eu coloco apt-get update, a resposta é essa:

W: Falhou ao buscar cdrom://Ubuntu 10.04 LTS _Lucid Lynx_ - Release i386 (20100429)/dists/lucid/main/binary-i386/Packages.gz Por favor, use o apt-cdrom para fazer com que este CD-ROM seja reconhecido pelo APT. O apt-get update não pode ser usado para adicionar novos CD-ROMs

W: Falhou ao buscar cdrom://Ubuntu 10.04 LTS _Lucid Lynx_ - Release i386 (20100429)/dists/lucid/restricted/binary-i386/Packages.gz Por favor, use o apt-cdrom para fazer com que este CD-ROM seja reconhecido pelo APT. O apt-get update não pode ser usado para adicionar novos CD-ROMs

E: Alguns arquivos de índice falharam para baixar, eles foram ignorados ou os antigos foram usados no lugar.

e quando coloco apt-get envyng-core, ele não acha o pacote:
E: Impossível achar pacote envyng-core


Apesar de ter 3 anos esse comentário, não vi a resposta. Provavelmente já deve ter resolvido. Mas caso alguém esteja lendo em 2013 ou posterior.
A primeira parte o apt-get está tentando buscar "listas" atraves do seu drive de cd e está avisando para você usar o comando apt-cdrom para poder incluir o cd como referencia e dai poder instalar pacotes direto do cd

o ultimo item pensei não ter funcionado por não ter colocado após o apt-get o sub-comando INSTALL por isso ele não conseguiu instalar pensado que o correto seria
# apt-get install evyng-core, mas ao tentar fazer o mesmo com esse comando e com outros , usando "evyn", pesquisando com apt-cache search, depois usando o SYNAPYIC .
acabei por pesquisar e vi que o download do programa está disponível em sites como BAIXAKI e outros. basta baixar e instalar o aplicativo, depois usar com o mesmo comando citado acima da mesma forma.
Conclusão: o programinha citado não está disponível no apt-get(pelo menos não nas source list default que já vem no ubuntu), mas ainda existe, funciona e está disponível de GRAÇA na internet para baixar, instalar e usar normalmente!


Me desculpem alguma coisa (Primeira postagem aqui, já li muito conteúdo desse forum, obrigado a todos que contribuem!)





Contribuir com comentário




Patrocínio

Site hospedado pelo provedor RedeHost.
Linux banner
Linux banner

Artigos

Dicas

Tópicos

Top 10 do mês

Scripts